Skip to main content
GET
/
identity
/
v1
/
roles
/
{roleId}
/
members
Lists all members assigned to a role in the caller's organization.
curl --request GET \
  --url https://api.sandbox.tesouro.com/identity/v1/roles/{roleId}/members \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "assignedDateTime": "2023-11-07T05:31:56Z",
      "email": "<string>",
      "name": "<string>",
      "status": "<string>",
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "nextPaginationToken": "<string>",
  "prevPaginationToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Application (M2M) OAuth2 access token (client credentials).

Path Parameters

roleId
string<uuid>
required

The ID of the role.

Query Parameters

limit
default:25

Maximum number of results to return.

paginationToken
string

Opaque pagination token from a previous response.

Response

Returns the paginated list of members.

A paginated response containing a page of results and navigation tokens.

data
object[]
required

The items in the current page.

nextPaginationToken
null | string

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page.

prevPaginationToken
null | string

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page.